TFDi Design Icon
TFDi Design

Process 717 product order

Handles the order processing for TFDi Design 717 product. On success, follow these steps:

  1. Use the returned client_id and session_id to request the activation key
GET https://addonmanager.tfdidesign.com/products/13.php?action=activate&userid={client_id}&sessionid={session_id}
  1. The response format is x|{activation key}.
  2. Write the activation key to %localappdata%\TFDi Design Addon Manager\717\install.key

See the 717 integration guide for the full flow

POST
/717

Authorization

BearerAuth
AuthorizationBearer <token>

Vendor API key for authentication

In: header

Request Body

application/json

idempotency_token*string

Idempotency token for the request

Formatuuid
email*string

Customer's email address

Formatemail
first_name*string

Customer's first name

last_name?string

Customer's last name

country?string

Customer's country (in two letter ISO format)

order_id*string

Unique identifier for the order

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://tfdidesign.com/store/vendors/api/717" \  -H "Content-Type: application/json" \  -d '{    "idempotency_token": "ce75faba-843b-4dda-95f3-e6d2d0b09e92",    "email": "[email protected]",    "first_name": "string",    "order_id": "string"  }'
{
  "success": true,
  "isLive": true,
  "error": null,
  "data": {
    "client_id": 0,
    "session_id": "string"
  }
}

{
  "success": false,
  "error": {
    "code": "REQ_INVALID_JSON",
    "message": "Invalid JSON: {error}",
    "timestamp": "2024-03-14T12:00:00Z",
    "docs": "https://tfdidesign.com/store/vendors/docs"
  },
  "data": null,
  "isLive": true
}

{
  "success": false,
  "error": {
    "code": "AUTH_NO_HEADER",
    "message": "No authorization header provided",
    "timestamp": "2024-03-14T12:00:00Z",
    "docs": "https://tfdidesign.com/store/vendors/docs"
  },
  "data": null,
  "isLive": true
}

{
  "success": false,
  "error": {
    "code": "VENDOR_NOT_AUTHORIZED",
    "message": "Vendor {vendor} not authorized to sell product {product}",
    "timestamp": "2024-03-14T12:00:00Z",
    "docs": "https://tfdidesign.com/store/vendors/docs"
  },
  "data": null,
  "isLive": true
}
{
  "success": false,
  "error": {
    "code": "HANDLER_NOT_FOUND",
    "message": "The handler provided could not be found",
    "timestamp": "2024-03-14T12:00:00Z",
    "docs": "https://tfdidesign.com/store/vendors/docs"
  },
  "data": null,
  "isLive": true
}
{
  "success": false,
  "error": {
    "code": "REQ_INVALID_METHOD",
    "message": "Method {method} not allowed",
    "timestamp": "2024-03-14T12:00:00Z",
    "docs": "https://tfdidesign.com/store/vendors/docs"
  },
  "data": null,
  "isLive": true
}
{
  "success": false,
  "error": {
    "code": "REQ_IDEMPOTENCY_CONFLICT",
    "message": "Idempotency token has already been used for a different request",
    "timestamp": "2024-03-14T12:00:00Z",
    "docs": "https://tfdidesign.com/store/vendors/docs"
  },
  "data": null,
  "isLive": true
}

{
  "success": false,
  "error": {
    "code": "HANDLER_EXECUTION_ERROR",
    "message": "An error occurred while running: {error}",
    "timestamp": "2024-03-14T12:00:00Z",
    "docs": "https://tfdidesign.com/store/vendors/docs"
  },
  "data": null,
  "isLive": true
}